{
  Escreva um programa que recebe como entrada um numero real X e um numero
  inteiro N e calcula o valor de X elevado a N. Lembre-se que N pode ser
  negativo, positivo ou nulo e seu programa deve lidar com todos esses casos.
}

program Potenciacao;
(* Calcula um numero elevado a um certo expoente, considerando todos os *)
(* casos possiveis                                                      *)

var
   base, potencia : real;
   expoente, i : integer;

begin
   (* Leitura da base *)
   writeln('Introduza o numero que sera elevado a um certo epoente : ');
   readln(base);

   (* Leitura do expoente *)
   writeln('Introduza o expoente ao qual o numero sera elevado : ');
   readln(expoente);

   potencia := 1; (* Inicializa o valor da potencia com 1 *)

   if (base <> 0) then (* Calcula a potencia quando a base eh diferente de 0 *)

       if (expoente > 0) then begin (* Calcula a potencia quando o expoente *)
                                    (* eh maior que 0                       *)
           for i := 1 to expoente do
               potencia := potencia * base; (* Acumula o valor da potencia *)

           (* Imprime o valor da potencia calculada *)
           writeln(base:5:3,' elevado a ',expoente,' eh : ',potencia:9:3);
       end
       else if (expoente < 0) then begin (* Calcula a potencia quando o *)
                                         (* expoente eh menor que 0     *)
                for i := 1 to (-expoente) do
                    potencia := potencia * (1/base); (* Acumula o valor da potencia *)

                (* Imprime o valor da potencia calculada *)
                writeln(base:5:3,' elevado a ',expoente,' eh : ',potencia:9:3);
            end
            else begin
                potencia := 1; (* A potencia de um numero elevado a 0 eh 1 *)

                (* Imprime o valor da potencia *)
                writeln(base:5:3,' elevado a ',expoente,' eh : ',potencia:9:3);
            end (* if *)

   else if (expoente > 0) then begin (* A base sendo igual a 0 e o expoente  *)
                                     (* maior que 0, a potencia eh igual a 0 *)
            potencia := 0.0;

            (* Imprime o valor da potencia *)
            writeln(base:5:3,' elevado a ',expoente,' eh : ',potencia:9:3);
        end
        else  (* A base sendo igual a 0 e o expoente menor ou igual a 0, a *)
              (* potencia nao esta definida                                *)
            writeln('A potencia nao esta definida.');
end.

