{
  Crie um procedimento que :
  a) concatene dois strings formando um terceiro string;
  b) exclua do string todas as ocorrencias de um caracter passado como
  	 parametro.
}

program ConcatenaStringsEEliminaCaracter;
(* Le duas frases e as concatena, armazenando a frase concatenada em um *)
(* terceiro string; le um caracter e elimina todas as ocorrencias deste *)
(* no string concatenado.                                               *)

type
   tString = string[255];
var
   frase1, frase2, frase3 : tString;
   caracter : char;

procedure ConcatenaDoisStrings(str1, str2 : tString; var str3 : tString);
(* Concatena dois strings passados como parametro e armazena o string *)
(* concatenado em um terceiro string                                  *)

begin
   str3 := str1 + str2;
end;

procedure EliminaCaracter(caracter : char; var str : tString);
(* Exclui do string todas as ocorrencias do caracter passado como parametro *)

var
   i, j : integer;

begin
   for i := 1 to length(str) do
       if (str[i] = caracter) then begin    (* Se o caracter passado for igual     *)
           delete(str,i,1);                 (* ao caracter do string, entao este   *)
                                            (* elemento do string eh deletado      *)

           i := 0;  (* Retorna ao inicio do string *)
       end;
end;

begin
   (* Leitura das frases *)
   writeln('Digite uma frase :');
   readln(frase1);
   writeln('Digite outra frase :');
   readln(frase2);

   (* Conacatenacao das frases *)
   ConcatenaDoisStrings(frase1,frase2,frase3);
   (* Impressao da frase resultante da concatenacao *)
   writeln('As frases concatenadas formam a seguinte frase : ',frase3);

   writeln('Digite o caracter a ser eliminado da frase concatenada acima :');
   readln(caracter);	(* Leitura do caracter *)
   EliminaCaracter(caracter,frase3);	(* Eliminacao do caracter *)
   (* Impressao da frase apos a eliminacao do caracter *)
   writeln('A frase sem o ',caracter,'caracter eh : ',frase3);
end.