{
  Escreva um procedimento que pule os espacos em branco de cada linha de um
  arquivo do tipo texto, imprimindo-o na tela.
}

program ImprimeArquivoSemEspacosEmBranco;
(* Imprime, na tela do computador, o arquivo lido sem espacos em branco *)

const
   BRANCO = ' ';
var
   arquivoIn : text;

procedure IgnoraEspacosEmBranco(var arquivo : text);
(* Imprime o arquivo passado como parametro sem espacos em branco *)

var
   caracter : char;

begin
   while not EOF(arquivo) do begin
       while not EOLN(arquivo) do begin
           read(arquivoIn,caracter);
           if (caracter <> BRANCO) then   (* So eh impresso o caracter   *)
               write(caracter);           (* que for diferente de BRANCO *)
       end;
       readln(arquivoIn);  (* Pula linha no arquivo *)
       writeln;            (* Pula linha na tela *)
   end;
end;

begin
   assign(arquivoIn,'a:\arquivo.txt');  (* Associacao da variavel ao arquivo real *)
   reset(arquivoIn);      (* Preparacao do arquivo para leitura *)

   IgnoraEspacosEmBranco(arquivoIn);    (* Impressao do arquivo na tela *)

   close(arquivoIn);  (* Fecha o arquivo *)
end.