{
  Um determinado material radioativo perde metade de sua massa a cada 50 segundos.
  Dada a massa inicial, em gramas, fazer um programa que determine o tempo
  necessario para que essa massa se torne menor do que 0.5 gramas; exiba a massa
  inicial, a massa final e o tempo calculado em horas, minutos e segundos.
}

program MaterialRadioativo;
(* Recebe a massa inicial de um material radioativo (que perde metade de sua     *)
(* massa a cada 50 segundos) e retorna essa mesma massa, a massa final e o tempo *)
(* (calculado em horas, minutos e segundos) necessario para que a massa inicial  *)
(* se torne menor do que 0.5 gramas                                              *)

var
   massaInicial, massaFinal : real;
   horas, minutos, segundos : integer;

begin
   segundos := 0;

   (* Leitura da massa inicial do material radioativo *)
   writeln('Digite a massa inicial do material radioativo (em gramas) :');
   readln(massaInicial);

   massaFinal := massaInicial;
   (* Calculo da massa final do material e do tempo gasto em segundos *)
   while (massaFinal >= 0.5) do begin
       massaFinal := massaFinal/2;
       segundos := segundos + 50;
   end;

   (* Transformacao do tempo ( ate agora em segundos ) em horas, minutos e segundos *)
   minutos := segundos div 60;
   segundos := segundos mod 60;
   horas := minutos div 60;
   minutos := minutos mod 60;

   (* Impressao da massa inicial, massa final e tempo necessario *)
   writeln('massa inicial : ',massaInicial:9:3);
   writeln('massa final : ',massaFinal:9:3);
   writeln('tempo : ',horas,'h ',minutos,'min ',segundos,'s');
end.