{
  Fazer um programa que :
  a) leia o valor de NA ( NA <= 30 ) e os NA valores de uma variavel indexada A;
  b) leia o valor de NB ( NB <= 20 ) e os NB valores de uma variavel indexada B;
  c) determine o conjunto C = A U B ( uniao de A com B ), onde C nao devera
     conter elementos repetidos ( A e B nao contem elementos repetidos);
  d) exiba os elementos contidos em A, B e C.
}

program UniaoDeArranjos;
(* Le os elementos de dois arranjos e determina um arranjo uniao (i.e., *)
(* que contem os elementos dos dois arranjos lidos, sem repetir nenhum) *)

const
   MAX_NA = 30;
   MAX_NB = 20;
type
   tArranjo30 = array [1..30] of real;
   tArranjo20 = array [1..20] of real;
   tArranjo50 = array [1..50] of real;
var
   A : tArranjo30;
   B : tArranjo20;
   C : tArranjo50;
   NA, NB, NC, i, j, x : integer;
   diferente : boolean;

begin
   (* Leitura dos elementos do primeiro arranjo *)
   writeln('Introduza o numero de elementos de A :');
   readln(NA);
   while (NA > MAX_NA) do begin     (* Testa se o numero de elementos eh valido *)
       writeln('O maior numero admissivel eh ',MAX_NA,'.');
       writeln('Introduza outro numero.');
       readln(NA);
   end;
   writeln('Introduza os ',NA,' valores de A :');
   for i := 1 to NA do
       read(A[i]);

   (* Leitura dos elementos do segundo arranjo *)
   writeln('Introduza o numero de elementos de B :');
   readln(NB);
   while (NB > MAX_NB) do begin     (* Testa se o numero de elementos eh valido *)
       writeln('O maior numero admissivel eh ',MAX_NB,'.');
       writeln('Introduza outro numero.');
       readln(NB);
   end;
   writeln('Introduza os ',NB,' valores de B :');
   for i := 1 to NB do
       read(B[i]);

   for i := 1 to NA do    (* Armazena os elementos do primeiro arranjo *)
       C[i] := A[i];

   x := 0;
   NC := NA;
   for i := 1 to NB do begin   (* Testa se os dois arranjos contem elementos *)
       diferente := true;      (* em comum                                   *)
        for j:=1 to NA do
           if (B[i] = A[j]) then begin
               diferente := false;
               x := x + 1;
           end;
       if (diferente) then begin    (* Sao armazenados apenas elementos que ainda *)
           C[NA+(i-x)] := B[i];     (* nao estao contidos no arranjo uniao (i.e., *)
           NC := NC + 1;            (* que nao pertencem ao primeiro arranjo)     *)
       end;
   end;

   (* Impressao dos elementos de cada arranjo *)
   writeln('Os elementos do conjunto A sao :');
   for i := 1 to NA do
       write(A[i]:9:3,' ');
   writeln;

   writeln('Os elementos do conjunto B sao :');
   for i := 1 to NB do
       write(B[i]:9:3,' ');
   writeln;

   writeln('Os elementos do conjunto C (A U B) sao :');
   for i := 1 to NC do
       write(C[i]:9:3,' ');
end.
