{
  Uma cadeia de caracteres pode ser pelo tipo:
        type
            tString=string[1..MAX_CARACT] of char
            tCadeia=record
                           caract:tString;
                           comprimento:integer
                     end;

  Escreva um procedimento que receba como argumentos uma cadeia de caracteres
  e um caracter, e retorne por referencia a cadeia de caracteres em que se
  retiraram as repeticoes consecutivas do caracter na cadeia de caracteres.
  Por exemplo, a chamada:
        TiraDuplicacao(Umma Cadeia,m)
  vai transformar a cadeia de caracteres em: Uma Cadeia
}

program EliminaSegundaOcorrencia;
(* Elimina as repeticoes consecutivas do caracter contido na cadeia de *)
(* caracteres introduzida                                              *)

const
   MAX_CARACT = 255;
type
   tString = string[MAX_CARACT];
var
   caracteres : tString;
   meuCaracter : char;

procedure EliminaDuplicacao(var cadeia : tString; caracter : char);
(* Elimina as repeticoes consecutivas do caracter, passado como parametro, *)
(* na cadeia de caracteres, tambem passada como parametro                  *)

var
   i, posicao, indice : integer;
   tirou : boolean;

begin
   posicao := Pos(caracter, cadeia); (* Verifica se o caracter pertence *)
                                     (* a cadeia de caracteres          *)

   indice := 0; (* Inicializa a variavel indice com 0 *)
   if (posicao <> 0) then begin

       (* Como apos o ultimo caracter nao ha nenhum outro, o laco FOR encerra *)
       (* quando o i recebe o valor correspondente ao comprimento da cadeia   *)
       (* menos 1                                                             *)
       tirou := true;
       while (tirou) do begin
           tirou := false;
       	   for i := 1 to (length(cadeia) - 1) do
               if (cadeia[i] = cadeia[i + 1]) then
                   if (cadeia[i + 1] = caracter) then begin
                       indice := i + 1; (* Se a repeticao ocorrida foi a do  *)
                                        (* caracter passado como parametro,  *)
                                    	(* entao o indice sera incrementado  *)
                   	   delete(cadeia, indice, 1);
                   	   tirou := true;
               	   end;
       end;

       if (indice > 0) then begin  (* So ocorrera mudanca na cadeia se o   *)
                                   (* indice for maior que 0, garantindo   *)
                                   (* que a repeticao do caracter, passado *)
                                   (* como parametro, foi encontrada       *)

           (* Imprime a cadeia de caracteres apos a retirada do caracter *)
           writeln('A cadeia de caracteres apos a retirada do segundo "',caracter,'" consecutivo eh : "',cadeia,'"');
       end
       else
           (* A mensagem sera impressa caso a repeticao seja de um caracter *)
           (* diferente daquele passado como parametro                      *)
           writeln('Nao ocorre repeticao consecutiva do caracter "',caracter,'" no string "',cadeia,'"');
   end
   else
       (* A mensagem sera impressa caso o caracter nao esteja na cadeia *)
       (* de caracteres                                                 *)
       writeln('O caracter "',caracter,'" nao pertence ao string "',cadeia,'".');

end; (* EliminaDuplicacao *)

begin
   (* Leitura da cadeia de caracteres *)
   writeln('Introduza uma cadeia de caracteres :');
   readln(caracteres);

   (* Leitura do caracter que sera retirado *)
   writeln('Introduza o caracter:');
   read(meuCaracter);

   EliminaDuplicacao(caracteres,meuCaracter);
end.

