{
  Fazer um programa que forneca os primeiros n numeros primos, onde n deve ser
  um valor inteiro introduzido pelo usuario
}

program PrimeirosNumerosPrimos;
(* Fornece os primeiros n numeros primos, onde n eh um numero inteiro *)
(* introduzido pelo usuario                                           *)

var
   numeroInteiro, numeroDePrimos, primos : integer;
   i : integer;
   ehPrimo : boolean;

begin
   writeln('Introduza o numero de primos a serem fornecidos :');
   read(numeroDePrimos);

   primos := 0; (* Inicializa a quantidade de numeros primos com 0 *)
   numeroInteiro := 2; (* A partir do numero inteiro 2, verifica-se se o *)
                       (* numero eh ou nao primo                         *)

   writeln('Os primeiros ',numeroDePrimos,' numeros primos sao:');

   while (primos <> numeroDePrimos) do begin
       ehPrimo := true; (* Inicializa a variavel booleana com TRUE *)

       (* Possiveis divisores do numero inteiro, excetuando-se o 1 e ele mesmo *)
       for i := 2 to (numeroInteiro - 1) do
           if ((numeroInteiro mod i) = 0) then
               ehPrimo := false; (* Caso o numero inteiro seja divisivel por *)
                                 (* algum dos valores assumidos por i, ele   *)
                                 (* nao sera um numero primo                 *)

       if (ehPrimo) then begin
           primos := primos + 1; (* Quantidade de numeros primos *)
           writeln(numeroInteiro);
       end;

       numeroInteiro := numeroInteiro + 1; (* Passa para o numero inteiro seguinte *)
   end;
end.