{
  Escreva um programa que leia uma sequencia de numeros inteiros e imprima o
  maior e o menor numero lido. O programa tambem deve imprimir a quantidade de
  vezes em que o maior numero foi lido.
}

program MaiorEMenorInteiro;
(* Le uma sequencia de numeros inteiros e imprime o maior e o menor numero, *)
(* alem de imprimir o numero de vezes em que o maior numero foi lido        *)

const
   N = 10;
type
   tArranjoInt = array [1..N] of integer;
var
   numeroInteiro : tArranjoInt;
   i, maiorInteiro, menorInteiro, quantidade : integer;

function MaiorNumeroInteiro(numeroInt : tArranjoInt) : integer;
(* Calcula o maior numero inteiro contido em um arranjo *)

var
   i, maiorInt: integer;

begin
   maiorInt := numeroInt[1]; (* Inicializacao do 'maiorInt' com o primeiro *)
                             (* elemento do arranjo                        *)

   (* Comparacao do 'maiorInt' com os outros elementos do arranjo *)
   for i := 2 to N do
       if (maiorInt < numeroInt[i]) then  (* Se um elemento for maior do que *)
           maiorInt := numeroInt [i];     (* 'maiorInt', este recebe o valor *)
                                          (* daquele                         *)

   MaiorNumeroInteiro := maiorInt;
end;

function MenorNumeroInteiro(numeroInt : tArranjoInt) : integer;
(* Calcula o menor numero inteiro contido em um arranjo *)

var
   i, menorInt: integer;

begin
   menorInt := numeroInt[1]; (* Inicializacao do 'menorInt' com o primeiro *)
                             (* elemento do arranjo                        *)

   (* Comparacao do 'menorInt' com os outros elementos do arranjo *)
   for i := 2 to N do
       if (menorInt > numeroInt[i]) then  (* Se um elemento for menor do que *)
           menorInt := numeroInt[i];      (* 'menorInt', este recebe o valor *)
                                          (* daquele                         *)

   MenorNumeroInteiro := menorInt;
end;

function QuantidadeDoMaiorNumero(numeroInt : tArranjoInt ; maiorInt : integer) : integer;
(* Calcula a quantidade de vezes em que o maior numero aparece no arranjo *)

var
   i, quantidade : integer;

begin
   quantidade := 0;
   for i := 1 to N do
       if (numeroInt[i] = maiorInt) then
           quantidade := quantidade + 1;

   QuantidadeDoMaiorNumero := quantidade;
end;

begin
   (* Leitura dos numeros inteiros *)
   writeln('Digite ',N,' numeros inteiros ( separados por enter) : ');
   for i := 1 to N do
	   readln(numeroInteiro[i]);

   (* Calculo e impressao do maior numero inteiro digitado *)
   maiorInteiro := MaiorNumeroInteiro(numeroInteiro);
   writeln('O maior numero inteiro digitado eh : ',maiorInteiro);

   (* Calculo e impressao do menor numero inteiro digitado *)
   menorInteiro := MenorNumeroInteiro(numeroInteiro);
   writeln('O menor numero inteiro digitado eh : ',menorInteiro);

   (* Calculo e impressao do numero de vezes em que o maior numero inteiro *)
   (* foi digitado                                                         *)
   quantidade := QuantidadeDoMaiorNumero(numeroInteiro,maiorInteiro);
   writeln('O maior numero introduzido foi digitado ',quantidade,' vez(es).');
end.